camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oleg Kalnichevski (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-1530) Upgrade camel-http to use httpclient 4.0
Date Wed, 23 Dec 2009 10:01:40 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-1530?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=56635#action_56635
] 

Oleg Kalnichevski commented on CAMEL-1530:
------------------------------------------

@Christian, @Claus

I am well aware that upgrading from 3.1 to 4.0 may be painful as it will most certainly require
certain adjustments to Camel HTTP transport given a radically different API and therefore
I am willing to help.

As far as configuration is concerned the general recommendation to all users of HttpClient
is to not attempt to tweak each an every parameter imaginable but rather let HttpClient pick
up the default settings based on the execution context. You might want to provide a configuration
bean for just the most essential parameters relevant for Camel: protocol version, socket and
connect timeouts, connection pool settings. For advanced use cases you may want to provide
a means of injecting a custom pre-configured HttpClient instance. The runtime behavior of
HttpClient 4.0 can be customized in different ways, HTTP parameters being one among several.
For instance, handling of more complex HTTP protocol aspects can be customized by replacing
standard or adding custom protocol interceptors. I am not sure it is worthwhile trying to
control each and every aspect of HttpClient initialization through Camel configuration. Just
let the users inject an existing HttpClient instance and be done w
 ith it.

Cheers

Oleg

> Upgrade camel-http to use httpclient 4.0
> ----------------------------------------
>
>                 Key: CAMEL-1530
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-1530
>             Project: Apache Camel
>          Issue Type: Improvement
>          Components: camel-http
>    Affects Versions: 2.0-M1
>            Reporter: Claus Ibsen
>            Assignee: Christian Mueller
>             Fix For: 2.3.0
>
>
> Upgrading httpclient from 3.1 to 4.0 requires changes in the camel-http code as the API
has change quite a lot.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message